clang-tools 8.0.0

Public Member Functions | List of all members
clang::move::ClangMoveActionFactory Class Reference

`#include <ClangMove.h>`

Inheritance diagram for clang::move::ClangMoveActionFactory:
[legend]
Collaboration diagram for clang::move::ClangMoveActionFactory:
[legend]

## Public Member Functions
| ClangMoveActionFactory (ClangMoveContext *const Context, DeclarationReporter *const Reporter=nullptr)
clang::FrontendAction * | create () override

## Detailed Description

Definition at line 222 of file ClangMove.h.

## Constructor & Destructor Documentation

## ◆ ClangMoveActionFactory()

clang::move::ClangMoveActionFactory::ClangMoveActionFactory | ( | ClangMoveContext *const | Context,
|  | DeclarationReporter *const | Reporter = `nullptr`
| ) |  |
| inline

Definition at line 224 of file ClangMove.h.

## Member Function Documentation

## ◆ create()

clang::FrontendAction* clang::move::ClangMoveActionFactory::create | ( |  | ) |
| inline override

Definition at line 228 of file ClangMove.h.

The documentation for this class was generated from the following file:

- ClangMove.h